/*
 * ActionGroup.java
 *
 * Created on May 9, 2003, 9:33 AM
 */

package edu.byu.deg.OntologyEditor;

import java.util.Iterator;
import java.util.LinkedList;
import javax.swing.Action;

/**
 *
 * @author  wessmana
 */
public class ActionGroup extends LinkedList
{
  
  public static final String ALWAYS_ENABLED_ACTIONS = "AlwaysEnabledActions";
  public static final String MULTIPLE_SELECTION_ACTIONS = "MultipleSelectionOnlyActions";
  public static final String MULTIPLE_WINDOW_ACTIONS = "MultipleWindowOnlyActions";
  public static final String EDITOR_ACTIONS = "EditorOnlyActions";
    
  public void enableAll()
  {
    setAllEnabled(true);
  }
  
  public void disableAll()
  {
    setAllEnabled(false);
  }
  
  public void setAllEnabled(boolean enabled)
  {
    for(Iterator i = iterator(); i.hasNext(); )
    {
      Action action = (Action) i.next();
      action.setEnabled(enabled);
    }
  }
  
}
