/*
 * CloseAction.java
 *
 * Created on May 20, 2003, 4:25 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import java.awt.event.ActionEvent;
import java.beans.PropertyVetoException;
import javax.swing.JInternalFrame;


/**
 *
 * @author  Alan Wessman
 */
public class CloseAction extends InternalFrameAction {
  
  /**
   * Closes the current JInternalFrame.
   *
   * @param evt
   */
  public void actionPerformed(ActionEvent evt) {
    JInternalFrame frame = getActiveFrame();
    try {
      frame.setClosed(true);
      editor.enableActions();
    }
    catch (PropertyVetoException e) {
        /* REVISIT: handle better? */
    }
  }
}
