package edu.byu.deg.OntologyEditor.actions;

import java.awt.event.ActionEvent;
import edu.byu.deg.osmx.binding.impl.LineTypeImpl;
import edu.byu.deg.OntologyEditor.OntologyCanvas;
import java.util.Set;
import java.util.Iterator;
import edu.byu.deg.OntologyEditor.shapes.DrawShape;
import edu.byu.deg.OntologyEditor.FontDialog;
import edu.byu.deg.osmx.binding.StyleType;
import edu.byu.deg.osmx.OSMXFontType;
import edu.byu.deg.osmx.OSMXLineType;

public class FontAction extends SelectionAction {
  public void actionPerformed(ActionEvent evt) {
    OntologyCanvas canvas = this.getRootCanvas();

    Set selShapes = canvas.getSelectedShapes();

    Iterator i = selShapes.iterator();
    DrawShape shape = (DrawShape) i.next();
    StyleType style = shape.createStyle();

    FontDialog dlg = new FontDialog();
    dlg.Initialize(shape, style);
    dlg.setVisible(true);

   for ( i = selShapes.iterator(); i.hasNext();) {
    shape = (DrawShape)i.next();
    style = shape.createStyle();

   int button = dlg.getButtonPressed();
   if (button == FontDialog.OK) {

     style.setFillColor(dlg.getStyle().getFillColor());

     OSMXFontType  m_fonttype = new OSMXFontType();
     m_fonttype.setColor(dlg.getStyle().getFont().getColor());
     m_fonttype.setFamily(dlg.getStyle().getFont().getFamily());
     m_fonttype.setSize(dlg.getStyle().getFont().getSize());
     m_fonttype.setTextStyle(dlg.getStyle().getFont().getTextStyle());
     style.setFont(m_fonttype);

     OSMXLineType m_linetype = new OSMXLineType();
//     LineTypeImpl m_linetype = new LineTypeImpl();
     m_linetype.setColor(dlg.getStyle().getLine().getColor());
     m_linetype.setWidth(dlg.getStyle().getLine().getWidth());
     style.setLine(m_linetype);

//     shape.repaint();
   }
   else if (button == FontDialog.DEFAULT) {
//     oframe.getCanvas().setDocumentStyle(dlg.getStyle());
//     oframe.getCanvas().restyleAll();

     StyleType allstyle = canvas.getActiveShape().getStyle();
     allstyle.setFillColor(dlg.getStyle().getFillColor());

     OSMXFontType  m_fonttype = new OSMXFontType();
     m_fonttype.setColor(dlg.getStyle().getFont().getColor());
     m_fonttype.setFamily(dlg.getStyle().getFont().getFamily());
     m_fonttype.setSize(dlg.getStyle().getFont().getSize());
     m_fonttype.setTextStyle(dlg.getStyle().getFont().getTextStyle());
     allstyle.setFont(m_fonttype);

     LineTypeImpl m_linetype = new LineTypeImpl();
     m_linetype.setColor(dlg.getStyle().getLine().getColor());
     m_linetype.setWidth(dlg.getStyle().getLine().getWidth());
     allstyle.setLine(m_linetype);

     shape.repaint();
     break;
   }
   dlg.dispose();
    }
//******************* old code **************************
//    OntologyEditor editor = this.getEditor();
//    JInternalFrame frame = editor.getActiveFrame();
//    if (frame instanceof OntologyCanvasWindow) {
      /* TODO: refactor Style interface code to use DrawShape, OSMXStyleType
      Style style = oframe.getCanvas().getCurrentStyle();
      FontDialog dlg = new FontDialog(editor.gettLocation(), editor.getSize());
      dlg.Initialize(style);

      editor.repaint();
      dlg.show();

      int button = dlg.getButtonPressed();
      if (button == FontDialog.OK) {
        oframe.getCanvas().setCurrentStyle(dlg.getStyle());
      }
      else if (button == FontDialog.DEFAULT) {
        oframe.getCanvas().setDocumentStyle(dlg.getStyle());
        oframe.getCanvas().restyleAll();
      }
      dlg.dispose();
       */

//    }
    // This method is derived from class OntosAction
    // to do: code goes here
  }

}
