/*
 * InternalFrameAction.java
 *
 * Created on November 20, 2003, 7:08 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.AbstractInternalFrame;
import edu.byu.deg.OntologyEditor.OntologyEditor;
import javax.swing.JInternalFrame;

/**
 *
 * @author  Alan
 */
public abstract class InternalFrameAction extends GeneralAction {
  
  public AbstractInternalFrame getActiveFrame() {
    OntologyEditor ed = getEditor();
    if (ed == null) return null;
    else {
      JInternalFrame frame = ed.getActiveFrame();
      if (frame != null && frame instanceof AbstractInternalFrame) {
        return (AbstractInternalFrame) frame;
      } else {
        return null;
      }
    }
  }
  
  public boolean isApplicable() {
    boolean result = super.isApplicable();
    result = result && (getActiveFrame() != null);
    return result;
  }
  
}
