/*
 * SaveAsAction.java
 *
 * Created on May 20, 2003, 4:14 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.OntologyCanvasWindow;
import java.awt.event.ActionEvent;


/**
 *
 * @author  Alan Wessman
 */
public class SaveAsAction extends InternalFrameAction {
  
  /**
   * Notifies the active frame to "saveAs"
   *
   * @param evt
   */
  public void actionPerformed(ActionEvent evt) {
    OntologyCanvasWindow frame = getActiveFrame().getOntologyFrame();
    if (frame != null) {
      frame.saveAsDocument();
    }
  }
}
