/*
 * SaveOSMLAction.java
 *
 * Created on May 20, 2003, 4:20 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.OntologyCanvasWindow;
import java.awt.event.ActionEvent;


/**
 *
 * @author  Alan Wessman
 */
public class SaveOSMLAction extends InternalFrameAction {
  
  /**
   * Notifies the current frame to save itself.
   *
   * @param evt
   */
  public void actionPerformed(ActionEvent evt) {
    OntologyCanvasWindow frame = getActiveFrame().getOntologyFrame();
    
    boolean save_local = false;
    if (!editor.isApplet() || evt.getActionCommand().indexOf("_local") != -1)
      save_local = true;
    
    if (frame != null)
      frame.saveOSML(save_local);
  }
}
