/*
 * SetFunctionalAction.java
 *
 * Created on November 29, 2003, 11:01 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.shapes.RelSetConnectionShape;
import edu.byu.deg.osmx.binding.RelSetConnectionType;
import java.awt.event.ActionEvent;

/**
 *
 * @author  Alan
 */
public class SetFunctionalAction extends ShapeAction {
  
  public void actionPerformed(ActionEvent e) {
    RelSetConnectionShape connShape = (RelSetConnectionShape) getShape();
    RelSetConnectionType conn = (RelSetConnectionType) connShape.getElement();
    setSelected(!isSelected());
    conn.setFunctional(isSelected());
  }
  
  public boolean isApplicable() {
    boolean result = super.isApplicable();
    result = result && (getShape() instanceof RelSetConnectionShape);
    return result;
  }
  
  protected void updateSelected() {
    if (getShape() != null) {
      RelSetConnectionShape connShape = (RelSetConnectionShape) getShape();
      RelSetConnectionType conn = (RelSetConnectionType) connShape.getElement();
      if (conn != null && conn.isSetFunctional() && conn.isFunctional()) {
        setSelected(true);
      } else {
        setSelected(false);
      }
    } else {
      setSelected(false);
    }
  }
  
}
