package edu.byu.deg.OntologyEditor.actions;

import java.awt.event.ActionEvent;

import edu.byu.deg.OntologyEditor.shapes.ChildRelSetConnectionShape;
import edu.byu.deg.osmx.binding.ChildRelSetConnection;

public class SetParentSideFunctionalAction extends ShapeAction{
	  public void actionPerformed(ActionEvent e) {
		    ChildRelSetConnectionShape connShape = (ChildRelSetConnectionShape) getShape();
		    ChildRelSetConnection conn = (ChildRelSetConnection) connShape.getElement();
		    setSelected(!isSelected());
		    conn.setParentSideFunctional(isSelected());
		  }
		  
		  public boolean isApplicable() {
		    boolean result = super.isApplicable();
		    result = result && (getShape() instanceof ChildRelSetConnectionShape);
		    return result;
		  }
		  
		  protected void updateSelected() {
		    if (getShape() != null) {
		      ChildRelSetConnectionShape connShape = (ChildRelSetConnectionShape) getShape();
			  ChildRelSetConnection conn = (ChildRelSetConnection) connShape.getElement();		      
			  if (conn != null && conn.isSetParentSideFunctional() && conn.isParentSideFunctional()) {
		        setSelected(true);
		      } else {
		        setSelected(false);
		      }
		    } else {
		      setSelected(false);
		    }
		  }
}
