/*
 * MacroMatcher.java
 *
 * Created on August 6, 2003, 6:07 PM
 */

package edu.byu.deg.ontos;

import java.util.Iterator;
import java.util.HashMap;

import edu.byu.deg.osmx.binding.OSM;
import edu.byu.deg.osmx.binding.Macro;
/**
 *
 * @author  troywalk
 */
public class MacroMatcher {
  HashMap patterns;
  /** Creates a new instance of MacroMatcher */
  public MacroMatcher(OSM ontology) {
    Object o;
    Macro macro;
    patterns = new HashMap();
    for(Iterator i=ontology.getAllModelElements().iterator(); i.hasNext(); ){
      o = i.next();
      if(o instanceof Macro){
        macro = (Macro)o;
        patterns.put(macro.getLabel(), macro.getValue());
        }
      }
  }
  public String getPattern(String macroLabel){
    return (String)patterns.get(macroLabel);
  }
}
