/*
 * OSMXAssociationType.java
 *
 * Created on June 11, 2003, 11:43 AM
 */

package edu.byu.deg.osmx;

/**
 * Represents an <CODE>Association</CODE> element in OSMX.
 * @author Alan Wessman
 */
public class OSMXAssociationType extends edu.byu.deg.osmx.binding.impl.AssociationTypeImpl {
  
    /**
     * Overrides the inherited method in order to pass the call recursively down to its
     * child elements.
     * @param elem The new parent of this element.
     */    
  void setParent(OSMXElement elem) {
    parent = elem;
    addToParentDocument();
    this.setAsParentOf(getRelSetConnection());
  }
  
}
