/*
 * OSMXDataInstanceType.java
 *
 * Created on June 11, 2003, 11:43 AM
 */

package edu.byu.deg.osmx;

/**
 * Represents a <CODE>DataInstance</CODE> element in OSMX.
 * @author Alan Wessman
 */
public class OSMXDataInstanceType extends edu.byu.deg.osmx.binding.impl.DataInstanceTypeImpl {
    
    /**
     * Overrides the inherited method in order to pass the call recursively down to its
     * child elements.
     * @param elem The new parent of this element.
     */    
  void setParent(OSMXElement elem) {
    parent = elem;
    addToParentDocument();
    this.setAsParentOf(getDataInstanceElements());
  }
  
}
