/*
 * TextChangeListener.java
 *
 * Created on July 3, 2003, 10:12 PM
 */

package edu.byu.deg.osmx;

/**
 * Interface for objects that need to be notified when the content of a text
 * attribute or element changes.
 * @author Alan
 */
public interface TextChangeListener {
    /**
     * Invoked when the monitored text changes.
     * @param newText The new value of the changed text.
     */    
  public void textChanged(String newText);
} // interface TextChangeListener
