/*
 * ResultPresenter.java
 *
 * Created on February 7, 2004, 3:21 PM
 */

package edu.byu.deg.query;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import edu.byu.deg.osmx.*;

/**
 *
 * @author  troywalk
 * @version
 */
public class ResultPresenter extends HttpServlet {
  /** Initializes the servlet.
   */
  public void init(ServletConfig config) throws ServletException {
    super.init(config);
    
  }
  
  /** Destroys the servlet.
   */
  public void destroy() {
    
  }
  
  /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
   * @param request servlet request
   * @param response servlet response
   */
  protected void processRequest(HttpServletRequest request, HttpServletResponse response)
  throws ServletException, IOException {
    response.setContentType("text/html");
    OSMXDocument doc = (OSMXDocument)request.getSession().getAttribute("ontology");
    if(doc==null)
      return;
    
    Thread thread = (Thread)request.getSession().getAttribute("extractionthread");
    DataPrinter printer = new DataPrinter();
    printer.printData(doc, response.getWriter(), thread);
  }
  
  /** Handles the HTTP <code>GET</code> method.
   * @param request servlet request
   * @param response servlet response
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
  throws ServletException, IOException {
    processRequest(request, response);
  }
  
  /** Handles the HTTP <code>POST</code> method.
   * @param request servlet request
   * @param response servlet response
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
  throws ServletException, IOException {
    processRequest(request, response);
  }
  
  /** Returns a short description of the servlet.
   */
  public String getServletInfo() {
    return "Short description";
  }
}
