package edu.byu.deg.OntologyEditor;

import edu.byu.deg.osmx.binding.OSMType;
import edu.byu.deg.osmx.OSMXElement;
import edu.byu.deg.OntologyEditor.shapes.DrawShape;
import java.awt.Component;

public interface Canvas extends CustomCoordinatePlane
{
    public OSMType getOSM();
    public DrawShape findShapeForElement(OSMXElement elem);
    
    public void dragSelectedObjects(int x, int y);
    public Canvas getParentCanvas();
    public void toFront(Component comp);
    public void toBack(Component comp);
    
}