package edu.byu.deg.OntologyEditor;
import java.awt.Component;
import javax.swing.JFileChooser;

public class ExtFileChooser extends JFileChooser
{
    public static String m_lastDirectory =
    OntologyEditor.props.getProperty("OntologyEditor.lastDir");
    
    public ExtFileChooser()
    {
        this(m_lastDirectory);
    }
    
    public ExtFileChooser(String dir)
    {
        super(dir == null || dir.length() == 0 ? m_lastDirectory : dir);
    }
    
    public int showOpenDialog(Component parent)
    {
        int ret = super.showOpenDialog(parent);
        if (ret == APPROVE_OPTION)
        {
            m_lastDirectory = getSelectedFile().getAbsolutePath();
            OntologyEditor.props.setProperty("OntologyEditor.lastDir", m_lastDirectory);
        }
        return ret;
    }
    
    public int showSaveDialog(Component parent)
    {
        int ret = super.showSaveDialog(parent);
        if (ret == APPROVE_OPTION)
        {
            m_lastDirectory = getSelectedFile().getAbsolutePath();
            OntologyEditor.props.setProperty("OntologyEditor.lastDir", m_lastDirectory);
        }
        return ret;
    }
}