package edu.byu.deg.OntologyEditor;

import edu.byu.deg.osmx.binding.LexiconType;
//import edu.byu.deg.OntologyModel.LabelModel;
import java.awt.Component;
import java.awt.event.ActionListener;
import javax.swing.ComboBoxEditor;
import javax.swing.JTextField;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;


public  class PhraseEditorLexicon implements ComboBoxEditor, DocumentListener
{
    private JTextField  m_textfield;
//    private LabelModel m_model;
    private LexiconType m_type;

    public PhraseEditorLexicon()
    {
        m_textfield = new JTextField();
        m_textfield.getDocument().addDocumentListener(this);
    }

    public void addActionListener(ActionListener l)
    {
        m_textfield.addActionListener(l);
    }

    public Component getEditorComponent()
    {
        return m_textfield;
    }

    public Object getItem()
    {
        return m_type;
//      return null;
    }

    public void removeActionListener(ActionListener l)
    {
        m_textfield.removeActionListener(l);
    }

    public void selectAll()
    {
        m_textfield.selectAll();
    }

   public void setItem(Object anObject)
    {
      m_type = (LexiconType)anObject;
       if (m_type != null)
            m_textfield.setText(m_type.getLabel());
        else
            m_textfield.setText("");
    }
 public void setItem(String st)
 {      if (st!=null)
           m_textfield.setText(st);
       else
           m_textfield.setText("");
   }


    public void changedUpdate(DocumentEvent e)
    {
//        String new_label = null;
//        if (m_model != null)
//            new_label = m_model.setLabel(m_textfield.getText());
        if (m_type != null)
            m_type.setLabel(m_textfield.getText());

    }

    public void insertUpdate(DocumentEvent e)
    {
        changedUpdate(e);
    }

    public void removeUpdate(DocumentEvent e)
    {
        changedUpdate(e);
    }
}