package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.OntologyCanvasWindow;
import java.awt.event.ActionEvent;



/**
 * OntosAction that handles the "add data frames" action.
 */
public class AddDataFramesAction extends CanvasAction {
  
  
  /**
   * Notifies active frame to pull up the data frame matcher.
   *
   * @param evt
   */
  public void actionPerformed(ActionEvent evt) {
    OntologyCanvasWindow ocw = this.getCanvasWindow();
    if (ocw != null) {
      ocw.showDataFrameMatcher();
    }
  }
}
