/*
 * GenSpecTypeAction.java
 *
 * Created on December 1, 2003, 9:20 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.ActionLoader;
import java.awt.event.ActionEvent;

import edu.byu.deg.OntologyEditor.shapes.GenSpecShape;
import edu.byu.deg.osmx.binding.GenSpecType;

/**
 *
 * @author  Alan
 */
public class GenSpecTypeAction extends ShapeAction {
  
  /** Creates a new instance of GenSpecTypeAction */
  public GenSpecTypeAction() {
    putValue(ActionLoader.ACTION_TOGGLE_STATE_KEY, "none");
  }
  
  public boolean isApplicable() {
    boolean result = super.isApplicable();
    result = result && (getShape() instanceof GenSpecShape);
    return result;
  }
  
  public void actionPerformed(ActionEvent e) {
    String command = e.getActionCommand();
    boolean isValidCommand = false;
    isValidCommand = isValidCommand || command.equalsIgnoreCase("none");
    isValidCommand = isValidCommand || command.equalsIgnoreCase("mutex");
    isValidCommand = isValidCommand || command.equalsIgnoreCase("partition");
    isValidCommand = isValidCommand || command.equalsIgnoreCase("union");
    isValidCommand = isValidCommand || command.equalsIgnoreCase("intersection");
    
    GenSpecType gs = (GenSpecType) ((GenSpecShape) getShape()).getElement();
    if (isValidCommand) {
      putValue(ActionLoader.ACTION_TOGGLE_STATE_KEY, command);
      gs.setGenSpecConstraint(command);
    }
  }
  
}
