/*
 * OntosAction.java
 *
 * Created on May 17, 2003, 11:51 AM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.ActionLoader;
import edu.byu.deg.OntologyEditor.OntologyEditor;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.JInternalFrame;


/**
 *
 * @author  Alan Wessman
 */
public class OntosAction extends AbstractAction {
    
    public void setCmd(String cmd)
    {
        putValue(Action.ACTION_COMMAND_KEY, cmd);
    }
    
    public String getCmd()
    {
        String cmd = (String) getValue(Action.ACTION_COMMAND_KEY);
        return cmd;
    }
    
    public void actionPerformed(ActionEvent evt)
    {
        JInternalFrame frame = getEditor().getActiveFrame();
        if (frame instanceof ActionListener)
            ((ActionListener)frame).actionPerformed(evt);
    }
    
    public OntologyEditor getEditor() {
        return (OntologyEditor) getValue(ActionLoader.EDITOR_KEY_NAME);
    }
  
}
