/*
 * SelectionAction.java
 *
 * Created on November 20, 2003, 7:18 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.OntologyCanvas;
import java.util.Set;


/**
 *
 * @author  Alan
 */
public abstract class SelectionAction extends CanvasAction {
  
  public Set getSelectedShapes() {
    OntologyCanvas canvas = getRootCanvas();
    if (canvas == null) return null;
    return canvas.getSelectedShapes();
  }
  
  public boolean isApplicable() {
    boolean result = super.isApplicable();
    result = result && (getSelectedShapes() != null) && (getSelectedShapes().size() > 0);
    return result;
  }
  
}
