package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.shapes.ObjectSetShape;
import edu.byu.deg.osmx.binding.ObjectSetType;
import java.awt.event.ActionEvent;

/**
 *
 * @author  Alan
 */
public class SetCenterNameAction extends ShapeAction {

	public void actionPerformed(ActionEvent arg0) {
	    ObjectSetShape objSetShape = (ObjectSetShape) getShape();
	    ObjectSetType objSet = objSetShape.getObjectSet();
	    setSelected(!isSelected());
	    objSet.setCentered(isSelected());
	}
	public boolean isApplicable() {
		boolean result = super.isApplicable();
		result = result && (getShape() instanceof ObjectSetShape);
		return result;
	}
	protected void updateSelected() {
		if (getShape() != null) {
			ObjectSetShape objSetShape = (ObjectSetShape) getShape();
			ObjectSetType objSet = objSetShape.getObjectSet();
			if (objSet.isCentered() && objSet.isSetCentered()) {
				setSelected(true);
			}else {
				setSelected(false);
			}	
		} else {
			setSelected(false);
		}
	}
}