/*
 * ShapeAction.java
 *
 * Created on November 17, 2003, 11:36 PM
 */

package edu.byu.deg.OntologyEditor.actions;

import edu.byu.deg.OntologyEditor.OntologyCanvas;
import edu.byu.deg.OntologyEditor.shapes.DrawShape;


/**
 *
 * @author  Alan
 */
public abstract class ShapeAction extends CanvasAction {
  
  protected DrawShape shape;
  
  public DrawShape getShape() {
    OntologyCanvas canvas = getRootCanvas();
    if (canvas == null) return null;
    else return canvas.getActiveShape();
  }
  
  public boolean isApplicable() {
    boolean result = super.isApplicable();
    result = result && (getShape() != null);
    return result;
  }
  
}
