/*
 * GenConnectionShape.java
 *
 * Created on November 11, 2003, 9:56 PM
 */

package edu.byu.deg.OntologyEditor.shapes;

import edu.byu.deg.osmx.binding.GeneralizationConnection;
import java.awt.Container;
import java.awt.geom.Point2D;


/**
 *
 * @author  Alan Wessman
 */
public class GenConnectionShape extends ConnectionShape {
  
  protected GenSpecShape genSpecShape;
  
  /** Creates a new instance of GenConnectionShape */
  public GenConnectionShape(Container c, ObjConnectableShape connectable, GenSpecShape connector, GeneralizationConnection conn) {
    super(c, connectable, connector, conn);
    genSpecShape = connector;
  }
  
  public Point2D.Double getConnectionPoint() {
    if (genSpecShape != null) return genSpecShape.getGenConnectionPoint();
    return new Point2D.Double(0, 0);
  }
  
}
