/*
 * GeneralConstraintShape.java
 *
 * Created on June 14, 2003, 11:46 PM
 */

package edu.byu.deg.OntologyEditor.shapes;

import edu.byu.deg.OntologyEditor.ObjBorder;
import edu.byu.deg.osmx.OSMXElement;
import edu.byu.deg.osmx.binding.GeneralConstraint;
import java.awt.Container;

/**
 *
 * @author  Alan
 */
public class GeneralConstraintShape extends TextShape {
  
  GeneralConstraint gc;
  private static final String DEFAULT_CONSTRAINT = "General constraint";
  
  /** Creates a new instance of GeneralConstraintShape */
  public GeneralConstraintShape(Container c, OSMXElement elem) {
    super(c, elem);
    setBorder(shapeBorder);
    ((ObjBorder) shapeBorder).setRectDraw(getStyle() != DEFAULT_STYLE && getStyle().getLine() != null);
    if (textElement.getContent() == null)
    	textElement.setContent(DEFAULT_CONSTRAINT);
    setSize(getPreferredSize());
  }
  
  protected GeneralConstraint getGeneralConstraint() {
    if (gc != null) return gc;
    gc = (GeneralConstraint) element;
    return gc;
  } // method getGeneralConstraint
  
}
