/*
 * TransitionShape.java
 *
 * Created on February 9, 2005, 11:03 AM
 */

package edu.byu.deg.OntologyEditor.shapes;

import edu.byu.deg.OntologyEditor.*;
import edu.byu.deg.osmx.*;
import edu.byu.deg.osmx.binding.*;
import edu.byu.deg.OntologyEditor.epsgraphics.EpsGraphics2D;
import java.awt.Container;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.beans.PropertyChangeEvent;
import javax.swing.JPanel;
//
import java.awt.*;
import javax.swing.*;
import java.awt.geom.*;
import javax.swing.event.DocumentListener;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;
import javax.swing.event.DocumentEvent;
import javax.swing.event.DocumentListener;
import java.awt.event.ComponentAdapter;

/**
 *
 * @author  Muhammed Al-Muhammed
 */
public class TransitionShape extends TransitionConnectableContainerShape
implements TextChangeListener, DocumentListener{
    protected String            triggers = null;
    protected String            actions;
    protected OSMXTransitionType transition = null;
    protected JPanel            constraintPanel = null;
    protected GridBagLayout     gridbag = null;
    protected static final int  PRIMARY_WIDTH = 40;
    protected static final int  PRIMARY_HEIGHT = 20;
    private java.awt.geom.RoundRectangle2D.Double shapeBorder;
    protected ComponentAdapter      canvasSizeListener;
    /** Creates a new instance of TransitionShape */
    public TransitionShape(Container c, OSMXElement elem) {
        super(c, elem);
        System.out.println("In Constractor "+elem);        
        getTransition1();
        transition.addPositionListener(this);
        //transition.a
    }
     public TransitionType getTransition1() {
        if (transition != null) return transition;
        transition = (OSMXTransitionType) element;
        return transition;
    
    } // method getObjectSet

    public OSMType getOSM() {
        return getTransition1().getOSM();
    }

    public String getTriggers() {
        if (triggers == null && getTransition1() != null) 
        	return transition.getTrigger();
        
        return "Trigger1";
    }
    
    public String getActions() {
        if (actions == null && getTransition1() != null) 
        	return transition.getAction();
        
        return "Action1";
    }

    protected void setTransitionAction(String s) 
    {
    	actions = s;
    	transition.setAction(s);
    }
    
    protected void setTransitionTrigger(String s) 
    {
    	triggers = s;
    	transition.setTrigger(s);
    }
     public void delete() {
        getParent().removeComponentListener(canvasSizeListener);
        super.delete();
    }
   public void paintComponent(Graphics g) {
       
        if (g instanceof EpsGraphics2D) {
            ((EpsGraphics2D)g).addComment("");
            ((EpsGraphics2D)g).addComment("State<" + triggers + ">");
           System.out.println("in If Out"); 
            super.paintComponent(g);
        }
        super.paintComponent(g);
   System.out.println("[Tran-Out/]");
 
    }
    public void textChanged(String newText) {//System.out.print("* "+newText);
        
    } // method textChanged
    
    public String getShapeName(){return null;};
       
    
}

