/*
 * TableListModel.java
 *
 * Created on July 21, 2003, 11:38 PM
 */

package edu.byu.deg.dataframe;

import java.util.List;

/**
 *
 * @author  Alan
 */
public interface TableListModel {
  
  public void addItem();
  
  public List getList();
  
  public void deleteItems(int[] selections);
  
  public void moveItemsUp(int[] selections);
  
  public void moveItemsDown(int[] selections);
  
  public String[] getColumnNames();
  
  public Object getColumnValue(Object item, int columnIndex);
  
  public void addTableListModelListener(TableListModelListener tlml);
  
  public void removeTableListModelListener(TableListModelListener tlml);
  
}
