/*
 * Ontology.java
 *
 * Created on January 5, 2004, 11:45 PM
 */

package edu.byu.deg.framework;

import java.util.List;

/**
 * Marker interface to label a class as a representation of an ontology.
 * Classes that reference this interface will have to cast
 * the object to a narrower class or interface in order to access elements of the
 * ontology.
 * @author Alan
 */
public interface Ontology {
    public List getSourceDocumentURIs();
}
