/*
 * JAXBTester.java
 *
 * Created on May 12, 2003, 8:19 AM
 */

package edu.byu.deg.osmx;

/**
 *
 * @author  Alan Wessman
 */
public class JAXBTester
{
  
  public static void main(String [] args)
  {
    try
    {
      OSMXDocument doc = OSMXDocument.newDocument();
      
      doc.getModelRoot().getAllModelElements().add(doc.getObjectFactory().createNote());
      // From here the OSM object may be used and modified however you please.
      
      // Now we wish to write the in-memory objects to a destination file
      doc.saveAsDocument("c:\\documents and settings\\alan\\my documents\\cvsprojects\\edu\\byu\\deg\\osmx\\test-osmx.xml");
    }
    catch (Exception e) // Catch-all for brevity; you should catch specific exceptions
    {
      e.printStackTrace();
    }
  }
  
}
