package edu.byu.deg.records;

import java.util.*;

/**
  * This class take a tag-tree as input
  * find the separators
  *
  * @version 1.2.0
  * @author  Yuan Jiang
  */
class ApplyMA {
   Vector tag_type = new Vector();

   /**
	* Constructor
	*/
   ApplyMA() {
	  tag_type = new Vector();
   }

   /**
	* Constructor
	* @param sub
	*/
   ApplyMA(TTree tree) {
	  this();

	  PreProcessTags pt = new PreProcessTags(tree);
	  pt.eliminateIrrelevantTags(2);
	  tag_type = pt.type_list;
   }

   /**
	* Constructor
	* @param tyl
	*/
   ApplyMA(Vector tyl) {
	  this();

	  tag_type = tyl;
   }

   /**
	*   find the tag with the repeat pattern
	*/
   public Vector find_candidate() {
	  int rank = 1;
	  Vector candidate_list = new Vector();

	  for(int i=0; i<tag_type.size()-1; i++) {
		 for(int j=i+1; j<tag_type.size(); j++) {
			int app1 = ((GTI)tag_type.elementAt(i)).num;
			int app2 = ((GTI)tag_type.elementAt(j)).num;
			if(app1 < app2) {
			   GTI tmpi = new GTI((GTI)tag_type.elementAt(i));
			   GTI tmpj= new GTI((GTI)tag_type.elementAt(j));
			   tag_type.removeElementAt(j);
			   tag_type.insertElementAt(tmpi, j);
			   tag_type.removeElementAt(i);
			   tag_type.insertElementAt(tmpj, i);
			   /*((GTI)tag_type.elementAt(j)).str = ((GTI)tag_type.elementAt(i)).str;
			   ((GTI)tag_type.elementAt(j)).num = ((GTI)tag_type.elementAt(i)).num;
			   ((GTI)tag_type.elementAt(i)).str = tmp.str;
			   ((GTI)tag_type.elementAt(i)).num = tmp.num;*/
			}
		 }
	  }


	  candidate_list.addElement(new GTI(((GTI)tag_type.elementAt(0)).str, rank));

	  for(int i=1; i<tag_type.size(); i++) {
		 int app1 = ((GTI)tag_type.elementAt(i-1)).num;
		 int app2 = ((GTI)tag_type.elementAt(i)).num;

		 if(app1 > app2) {
			rank++;
		 }

		 candidate_list.addElement(new GTI(((GTI)tag_type.elementAt(i)).str, rank));

	  }
/*
	  System.out.println("Candidate_list");
	  for(int i=0; i<candidate_list.size(); i++) {
		 System.out.println(((GTI)candidate_list.elementAt(i)).str + "\t" +
							((GTI)candidate_list.elementAt(i)).num);
	  }
*/
	  return candidate_list;

   }

}






